Loading...
Searching...
No Matches
pdftron::PDF::PDFViewCtrl::MouseEvent Struct Reference

`#include <PDFViewCtrl.h>`

## Public Attributes
int | m_x
int | m_y
int | m_wheelRotation
int | m_wheelDelta
int | m_linesPerAction
UInt8 | m_leftDown
UInt8 | m_middleDown
UInt8 | m_rightDown
UInt8 | m_controlDown
UInt8 | m_shiftDown
UInt8 | m_altDown
UInt8 | m_metaDown
enum ControlEventType | m_event_type
enum WindowID | m_event_window
UInt8 | m_pdfviewctrl_processed

## Detailed Description

Struct containing the data necessary to process mouse event callback on the client side.

Definition at line 191 of file PDFViewCtrl.h.

## Member Data Documentation

## ◆ m_altDown

UInt8 pdftron::PDF::PDFViewCtrl::MouseEvent::m_altDown

Definition at line 202 of file PDFViewCtrl.h.

## ◆ m_controlDown

UInt8 pdftron::PDF::PDFViewCtrl::MouseEvent::m_controlDown

Definition at line 200 of file PDFViewCtrl.h.

## ◆ m_event_type

enum ControlEventType pdftron::PDF::PDFViewCtrl::MouseEvent::m_event_type

Definition at line 206 of file PDFViewCtrl.h.

## ◆ m_event_window

enum WindowID pdftron::PDF::PDFViewCtrl::MouseEvent::m_event_window

Definition at line 208 of file PDFViewCtrl.h.

## ◆ m_leftDown

UInt8 pdftron::PDF::PDFViewCtrl::MouseEvent::m_leftDown

Definition at line 197 of file PDFViewCtrl.h.

## ◆ m_linesPerAction

int pdftron::PDF::PDFViewCtrl::MouseEvent::m_linesPerAction

Definition at line 196 of file PDFViewCtrl.h.

## ◆ m_metaDown

UInt8 pdftron::PDF::PDFViewCtrl::MouseEvent::m_metaDown

Definition at line 203 of file PDFViewCtrl.h.

## ◆ m_middleDown

UInt8 pdftron::PDF::PDFViewCtrl::MouseEvent::m_middleDown

Definition at line 198 of file PDFViewCtrl.h.

## ◆ m_pdfviewctrl_processed

UInt8 pdftron::PDF::PDFViewCtrl::MouseEvent::m_pdfviewctrl_processed

Definition at line 210 of file PDFViewCtrl.h.

## ◆ m_rightDown

UInt8 pdftron::PDF::PDFViewCtrl::MouseEvent::m_rightDown

Definition at line 199 of file PDFViewCtrl.h.

## ◆ m_shiftDown

UInt8 pdftron::PDF::PDFViewCtrl::MouseEvent::m_shiftDown

Definition at line 201 of file PDFViewCtrl.h.

## ◆ m_wheelDelta

int pdftron::PDF::PDFViewCtrl::MouseEvent::m_wheelDelta

Definition at line 195 of file PDFViewCtrl.h.

## ◆ m_wheelRotation

int pdftron::PDF::PDFViewCtrl::MouseEvent::m_wheelRotation

Definition at line 194 of file PDFViewCtrl.h.

## ◆ m_x

int pdftron::PDF::PDFViewCtrl::MouseEvent::m_x

Definition at line 192 of file PDFViewCtrl.h.

## ◆ m_y

int pdftron::PDF::PDFViewCtrl::MouseEvent::m_y

Definition at line 193 of file PDFViewCtrl.h.

The documentation for this struct was generated from the following file:

- PDF/PDFViewCtrl.h